#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n, q = 0; cin >> n;
    int e[n], r[n], s[n];
    for (int i = 0; i < n; i++)
    {
        cin >> e[i];
    }
    for (int i = 0; i < n; i++)
    {
        cin >> r[i];
    }
    for (int i = 0; i < n; i++)
    {
        cin >> s[i];
    }
    for (int i = 0; i < n; i++)
    {
        for (int j = 0; j < n; j++)
        {
            if (e[i]==r[j])
            {
                for (int t = 0; t < n; t++)
                {
                    if (s[t]==j+1)
                    {
                        q++;
                    }
                }
            }
        }
    }
    cout << q;
    return 0;
}